Attribute VB_Name = "AIOWDG"
Const WDG_ACTION_IGNORE = 0
Const WDG_ACTION_DISABLE = 1
Const WDG_ACTION_SOFT_RESTART = 2
Const WDG_ACTION_MOSTLY_SOFT_RESTART = 4

Public Declare Function GetNumCards Lib "AIOWDM" Alias "VBGetNumCards" () As Long
Public Declare Function QueryCardInfo Lib "AIOWDM" Alias "VBQueryCardInfo" (ByVal CardNum As Long, ByRef pDeviceID As Long, ByRef pBase As Long, ByRef pNameSize As Long, ByVal pName As String) As Long
Public Declare Function QueryCardID Lib "AIOWDM" Alias "VBQueryCardID" (ByVal CardNum As Long, ByRef pDeviceID As Long) As Long
Public Declare Function QueryCardName Lib "AIOWDM" Alias "VBQueryCardName" (ByVal CardNum As Long, ByRef pNameSize As Long, ByVal pName As String) As Long
Public Declare Function QuerySerialNumber Lib "AIOWDM" Alias "VBQuerySerialNumber" (ByVal CardNum As Long, ByRef pSerialNumber As Currency) As Long
Public Declare Function AIOWDG_CloseDevice Lib "AIOWDM" Alias "VBAIOWDG_CloseDevice" (ByVal CardNum As Long) As Long

Public Declare Function GetDeviceBySerialNumber Lib "AIOWDM" Alias "VBGetDeviceBySerialNumber" (ByRef pSerialNumber As Currency) As Long
Public Declare Function GetDeviceByEEPROMByte Lib "AIOWDM" Alias "VBGetDeviceByEEPROMByte" (ByVal Data As Byte) As Long
Public Declare Function GetDeviceByEEPROMData Lib "AIOWDM" Alias "VBGetDeviceByEEPROMData" (ByVal StartAddress As Long, ByVal DataSize As Long, ByRef pData As Byte) As Long

Public Declare Function CustomEEPROMRead Lib "AIOWDM" Alias "VBCustomEEPROMRead" (ByVal CardNum As Long, ByVal StartAddress As Long, ByRef DataSize As Long, ByRef Data As Any) As Long
Public Declare Function CustomEEPROMWrite Lib "AIOWDM" Alias "VBCustomEEPROMWrite" (ByVal CardNum As Long, ByVal StartAddress As Long, ByVal DataSize As Long, ByRef Data As Any) As Long

Public Declare Function WaitForIRQ Lib "AIOWDM" Alias "VBWaitForIRQ" (ByVal CardNum As Long) As Long
Public Declare Function AbortRequest Lib "AIOWDM" Alias "VBAbortRequest" (ByVal CardNum As Long) As Long

Public Declare Function WDGInit Lib "AIOWDM" Alias "VBWDGInit" (ByVal CardNum As Long) As Long
Public Declare Function WDGSetTimeout Lib "AIOWDM" Alias "VBWDGSetTimeout" (ByVal CardNum As Long, ByRef pMilliseconds As Double) As Long
Public Declare Function WDGSetResetDuration Lib "AIOWDM" Alias "VBWDGSetResetDuration" (ByVal CardNum As Long, ByRef pMilliseconds As Double) As Long
Public Declare Function WDGPet Lib "AIOWDM" Alias "VBWDGPet" (ByVal CardNum As Long) As Long
Public Declare Function WDGReadTemp Lib "AIOWDM" Alias "VBWDGReadTemp" (ByVal CardNum As Long, ByRef TempF As Double) As Long
Public Declare Function WDGReadStatus Lib "AIOWDM" Alias "VBWDGReadStatus" (ByVal CardNum As Long, ByRef StatusByte As Long) As Long
Public Declare Function WDGStart Lib "AIOWDM" Alias "VBWDGStart" (ByVal CardNum As Long) As Long
Public Declare Function WDGStop Lib "AIOWDM" Alias "VBWDGStop" (ByVal CardNum As Long) As Long
Public Declare Function WDGHandleIRQ Lib "AIOWDM" Alias "VBWDGHandleIRQ" (ByVal CardNum As Long, ByVal Action As Long) As Long
Public Declare Function EmergencyReboot Lib "AIOWDM" Alias "VBEmergencyReboot" () As Long

Public Declare Function DI_ReadAll Lib "AIOWDM" Alias "VBDI_ReadAll" (ByVal CardNum As Long, ByRef pDIData As Byte) As Long
Public Declare Function DI_Read1 Lib "AIOWDM" Alias "VBDI_Read1" (ByVal CardNum As Long, ByVal BitIndex As Byte, ByRef pBitValue As Long) As Long
Public Declare Function DI_ReadLatched Lib "AIOWDM" Alias "VBDI_ReadLatched" (ByVal CardNum As Long, ByRef pDIRisen As Byte, ByRef pDIFallen As Byte) As Long
Public Declare Function DI_PeekAll Lib "AIOWDM" Alias "VBDI_PeekAll" (ByVal CardNum As Long, ByRef pDIData As Byte) As Long
Public Declare Function DI_Peek1 Lib "AIOWDM" Alias "VBDI_Peek1" (ByVal CardNum As Long, ByVal BitIndex As Byte, ByRef pBitValue As Long) As Long
Public Declare Function DI_SetDebounceAll Lib "AIOWDM" Alias "VBDI_SetDebounceAll" (ByVal CardNum As Long, ByVal TimeMS As Byte) As Long
Public Declare Function DI_SetDebounce1 Lib "AIOWDM" Alias "VBDI_SetDebounce1" (ByVal CardNum As Long, ByVal BitIndex As Byte, ByVal TimeMS As Byte) As Long
Public Declare Function DI_SetDebounceSome Lib "AIOWDM" Alias "VBDI_SetDebounceSome" (ByVal CardNum As Long, ByVal BitMask As Byte, ByVal TimeMS As Byte) As Long
Public Declare Function DO_WriteAll Lib "AIOWDM" Alias "VBDO_WriteAll" (ByVal CardNum As Long, ByVal DOData As Byte) As Long
Public Declare Function DO_Write1 Lib "AIOWDM" Alias "VBDO_Write1" (ByVal CardNum As Long, ByVal BitIndex As Byte, ByVal BitValue As Long) As Long

Public Declare Function AI_ReadAll Lib "AIOWDM" Alias "VBAI_ReadAll" (ByVal CardNum As Long, ByRef pAIData As Double) As Long
Public Declare Function AI_Read1 Lib "AIOWDM" Alias "VBAI_Read1" (ByVal CardNum As Long, ByVal ChannelIndex As Byte, ByRef pAIData As Double) As Long



Public Declare Function GenericVendorRead Lib "AIOWDM" Alias "VBGenericVendorRead" (ByVal CardNum As Long, ByVal Request As Byte, ByVal Value As Integer, ByVal Index As Integer, ByRef DataSize As Long, ByRef pData As Any) As Long
Public Declare Function GenericVendorWrite Lib "AIOWDM" Alias "VBGenericVendorWrite" (ByVal CardNum As Long, ByVal Request As Byte, ByVal Value As Integer, ByVal Index As Integer, ByVal DataSize As Long, ByRef pData As Any) As Long
Public Declare Function AWU_GenericBulkIn Lib "AIOWDM" Alias "VBAWU_GenericBulkIn" (ByVal CardNum As Long, ByVal PipeID As Long, ByRef pData As Any, ByVal DataSize As Long, ByRef BytesRead As Long) As Long
Public Declare Function AWU_GenericBulkOut Lib "AIOWDM" Alias "VBAWU_GenericBulkOut" (ByVal CardNum As Long, ByVal PipeID As Long, ByRef pData As Any, ByVal DataSize As Long, ByRef BytesWritten As Long) As Long

Public Declare Function AIOWDG_ResetChip Lib "AIOWDM" Alias "VBAIOWDG_ResetChip" (ByVal CardNum As Long) As Long
