// AIOWDG.h : Header file for AIOWDG.dll
//
//For Borland C++ Builder, use CBAIOWDG.lib
//For Microsoft Visual C++, use VCAIOWDG.lib

#ifdef __cplusplus
extern "C" {
#endif



#define WDG_ACTION_IGNORE = 0
#define WDG_ACTION_DISABLE = 1
#define WDG_ACTION_SOFT_RESTART = 2
#define WDG_ACTION_MOSTLY_SOFT_RESTART = 4



#ifndef Byte
	typedef unsigned char Byte;
#endif

#ifndef UInt16
	typedef unsigned short UInt16;
#endif

#ifndef UInt32
	typedef unsigned long UInt32;
#endif

#ifndef UInt64
	typedef unsigned long long UInt64;
#endif

#ifndef SInt32
	typedef signed long SInt32;
#endif



__declspec(dllimport) SInt32 GetNumCards();
__declspec(dllimport) UInt32 QueryCardInfo(SInt32 CardNum, UInt32 *pDeviceID, UInt32 *pBase, UInt32 *pNameSize, char *pName);
__declspec(dllimport) UInt32 QueryCardID(SInt32 CardNum, UInt32 *pDeviceID);
__declspec(dllimport) UInt32 QueryCardName(SInt32 CardNum, UInt32 *pNameSize, char *pName);
__declspec(dllimport) UInt32 QuerySerialNumber(SInt32 CardNum, UInt64 *pSerialNumber);
__declspec(dllimport) UInt32 AIOWDG_CloseDevice(SInt32 CardNum);

__declspec(dllimport) SInt32 GetDeviceBySerialNumber(UInt64 *pSerialNumber);
__declspec(dllimport) SInt32 GetDeviceByEEPROMByte(Byte Data);
__declspec(dllimport) SInt32 GetDeviceByEEPROMData(UInt32 StartAddress, UInt32 DataSize, Byte *pData);

__declspec(dllimport) UInt32 CustomEEPROMRead(SInt32 CardNum, UInt32 StartAddress, UInt32 *DataSize, void *Data);
__declspec(dllimport) UInt32 CustomEEPROMWrite(SInt32 CardNum, UInt32 StartAddress, UInt32 DataSize, void *Data);

__declspec(dllimport) UInt32 WaitForIRQ(SInt32 CardNum);
__declspec(dllimport) UInt32 AbortRequest(SInt32 CardNum);

__declspec(dllimport) UInt32 WDGInit(SInt32 CardNum);
__declspec(dllimport) UInt32 WDGSetTimeout(SInt32 CardNum, double *pMilliseconds);
__declspec(dllimport) UInt32 WDGSetResetDuration(SInt32 CardNum, double *pMilliseconds);
__declspec(dllimport) UInt32 WDGPet(SInt32 CardNum);
__declspec(dllimport) UInt32 WDGReadTemp(SInt32 CardNum, double *TempF);
__declspec(dllimport) UInt32 WDGReadStatus(SInt32 CardNum, UInt32 *StatusByte);
__declspec(dllimport) UInt32 WDGStart(SInt32 CardNum);
__declspec(dllimport) UInt32 WDGStop(SInt32 CardNum);
__declspec(dllimport) UInt32 WDGHandleIRQ(SInt32 CardNum, UInt32 Action);
__declspec(dllimport) UInt32 EmergencyReboot();

__declspec(dllimport) UInt32 DI_ReadAll(SInt32 CardNum, Byte *pDIData);
__declspec(dllimport) UInt32 DI_Read1(SInt32 CardNum, Byte BitIndex, UInt32 *pBitValue);
__declspec(dllimport) UInt32 DI_ReadLatched(SInt32 CardNum, Byte *pDIRisen, Byte *pDIFallen);
__declspec(dllimport) UInt32 DI_PeekAll(SInt32 CardNum, Byte *pDIData);
__declspec(dllimport) UInt32 DI_Peek1(SInt32 CardNum, Byte BitIndex, UInt32 *pBitValue);
__declspec(dllimport) UInt32 DI_SetDebounceAll(SInt32 CardNum, Byte TimeMS);
__declspec(dllimport) UInt32 DI_SetDebounce1(SInt32 CardNum, Byte BitIndex, Byte TimeMS);
__declspec(dllimport) UInt32 DI_SetDebounceSome(SInt32 CardNum, Byte BitMask, Byte TimeMS);
__declspec(dllimport) UInt32 DO_WriteAll(SInt32 CardNum, Byte DOData);
__declspec(dllimport) UInt32 DO_Write1(SInt32 CardNum, Byte BitIndex, UInt32 BitValue);

__declspec(dllimport) UInt32 AI_ReadAll(SInt32 CardNum, double *pAIData);
__declspec(dllimport) UInt32 AI_Read1(SInt32 CardNum, Byte ChannelIndex, double *pAIData);



__declspec(dllimport) UInt32 GenericVendorRead(SInt32 CardNum, Byte Request, UInt16 Value, UInt16 Index, UInt32 *DataSize, void *pData);
__declspec(dllimport) UInt32 GenericVendorWrite(SInt32 CardNum, Byte Request, UInt16 Value, UInt16 Index, UInt32 DataSize, void *pData);
__declspec(dllimport) UInt32 AWU_GenericBulkIn(SInt32 CardNum, UInt32 PipeID, void *pData, UInt32 DataSize, UInt32 *BytesRead);
__declspec(dllimport) UInt32 AWU_GenericBulkOut(SInt32 CardNum, UInt32 PipeID, void *pData, UInt32 DataSize, UInt32 *BytesWritten);

__declspec(dllimport) UInt32 AIOWDG_ResetChip(SInt32 CardNum);

//Note that all error codes returned are Windows error codes; they can be found in winerror.h in the Windows SDK, or on the Web.



#ifdef __cplusplus
}
#endif
