unit AIOWDG;

interface

uses
  Windows;

type
  PLongBool = ^LongBool;
    
const //Watchdog function constants
  WDG_ACTION_IGNORE = 0;
  WDG_ACTION_DISABLE = 1;
  WDG_ACTION_SOFT_RESTART = 2;
  WDG_ACTION_MOSTLY_SOFT_RESTART = 4;

function GetNumCards: Integer; cdecl; external 'AIOWDG.dll';
function QueryCardInfo(CardNum: Integer; pDeviceID, pBase: PLongWord; pNameSize: pLongWord; pName: PAnsiChar): LongWord; cdecl; external 'AIOWDG.dll';
function QueryCardID(CardNum: Integer; pDeviceID: PLongWord): LongWord; cdecl; external 'AIOWDG.dll';
function QueryCardName(CardNum: Integer; pNameSize: pLongWord; pName: PAnsiChar): LongWord; cdecl; external 'AIOWDG.dll';
function QuerySerialNumber(CardNum: Integer; var pSerialNumber: Int64): LongWord; cdecl; external 'AIOWDG.dll';
function AIOWDG_CloseDevice(CardNum: Integer): LongWord; cdecl; external 'AIOWDG.dll';

function GetDeviceBySerialNumber(const pSerialNumber: Int64): Integer; cdecl; external 'AIOWDG.dll';
function GetDeviceByEEPROMByte(Data: Byte): Integer; cdecl; external 'AIOWDG.dll';
function GetDeviceByEEPROMData(StartAddress, DataSize: LongWord; pData: PByte): Integer; cdecl; external 'AIOWDG.dll';

function CustomEEPROMRead(CardNum: Integer; StartAddress: LongWord; var DataSize: LongWord; Data: Pointer): LongWord; cdecl; external 'AIOWDG.dll';
function CustomEEPROMWrite(CardNum: Integer; StartAddress: LongWord; DataSize: LongWord; Data: Pointer): LongWord; cdecl; external 'AIOWDG.dll';

function WaitForIRQ(CardNum: Integer): LongWord; cdecl; external 'AIOWDG.dll';
function AbortRequest(CardNum: Integer): LongWord; cdecl; external 'AIOWDG.dll';

function WDGInit(CardNum: Integer): LongWord; cdecl; external 'AIOWDG.dll';
function WDGSetTimeout(CardNum: Integer; var pMilliseconds: Double): LongWord; cdecl; external 'AIOWDG.dll';
function WDGSetResetDuration(CardNum: Integer; var pMilliseconds: Double): LongWord; cdecl; external 'AIOWDG.dll';
function WDGPet(CardNum: Integer): LongWord; cdecl; external 'AIOWDG.dll';
function WDGReadTemp(CardNum: Integer; out TempF: Double): LongWord; cdecl; external 'AIOWDG.dll';
function WDGReadStatus(CardNum: Integer; out StatusByte: LongWord): LongWord; cdecl; external 'AIOWDG.dll';
function WDGStart(CardNum: Integer): LongWord; cdecl; external 'AIOWDG.dll';
function WDGStop(CardNum: Integer): LongWord; cdecl; external 'AIOWDG.dll';
function WDGHandleIRQ(CardNum: Integer; Action: LongWord): LongWord; cdecl; external 'AIOWDG.dll';
function EmergencyReboot(): LongWord; cdecl; external 'AIOWDG.dll';

function DI_ReadAll(CardNum: Integer; pDIData: PByte): LongWord; cdecl; external 'AIOWDG.dll';
function DI_Read1(CardNum: Integer; BitIndex: Byte; pBitValue: PLongBool): LongWord; cdecl; external 'AIOWDG.dll';
function DI_ReadLatched(CardNum: Integer; pDIRisen, pDIFallen: PByte): LongWord; cdecl; external 'AIOWDG.dll';
function DI_PeekAll(CardNum: Integer; pDIData: PByte): LongWord; cdecl; external 'AIOWDG.dll';
function DI_Peek1(CardNum: Integer; BitIndex: Byte; pBitValue: PLongBool): LongWord; cdecl; external 'AIOWDG.dll';
function DI_SetDebounceAll(CardNum: Integer; TimeMS: Byte): LongWord; cdecl; external 'AIOWDG.dll';
function DI_SetDebounce1(CardNum: Integer; BitIndex: Byte; TimeMS: Byte): LongWord; cdecl; external 'AIOWDG.dll';
function DI_SetDebounceSome(CardNum: Integer; BitMask: Byte; TimeMS: Byte): LongWord; cdecl; external 'AIOWDG.dll';
function DO_WriteAll(CardNum: Integer; DOData: Byte): LongWord; cdecl; external 'AIOWDG.dll';
function DO_Write1(CardNum: Integer; BitIndex: Byte; BitValue: LongBool): LongWord; cdecl; external 'AIOWDG.dll';

function AI_ReadAll(CardNum: Integer; pAIData: PDouble): LongWord; cdecl; external 'AIOWDG.dll';
function AI_Read1(CardNum: Integer; ChannelIndex: Byte; pAIData: PDouble): LongWord; cdecl; external 'AIOWDG.dll';



function GenericVendorRead(CardNum: Integer; Request: Byte; Value, Index: Word; var DataSize: LongWord; pData: Pointer): LongWord; cdecl; external 'AIOWDG.dll';
function GenericVendorWrite(CardNum: Integer; Request: Byte; Value, Index: Word; DataSize: LongWord; pData: Pointer): LongWord; cdecl; external 'AIOWDG.dll';
function AWU_GenericBulkIn(CardNum: Integer; PipeID: LongWord; pData: Pointer; DataSize: LongWord; var BytesRead: LongWord): LongWord; cdecl; external 'AIOWDG.dll';
function AWU_GenericBulkOut(CardNum: Integer; PipeID: LongWord; pData: Pointer; DataSize: LongWord; var BytesWritten: LongWord): LongWord; cdecl; external 'AIOWDG.dll';

function AIOWDG_ResetChip(CardNum: Integer): LongWord; cdecl; external 'AIOWDG.dll';

implementation

end.
