Imports System

Module AIOWDG

	Public Const WDG_ACTION_IGNORE = 0
	Public Const WDG_ACTION_DISABLE = 1
	Public Const WDG_ACTION_SOFT_RESTART = 2
	Public Const WDG_ACTION_MOSTLY_SOFT_RESTART = 4

	Public Declare Function GetNumCards Lib "AIOWDM" Alias "VBGetNumCards" () As UInt32
	Public Declare Function QueryCardInfo Lib "AIOWDM" Alias "VBQueryCardInfo" (ByVal CardNum As UInt32, ByRef pDeviceID As UInt32, ByRef pBase As UInt32, ByRef pNameSize As UInt32, ByVal pName As String) As UInt32
	Public Declare Function QueryCardID Lib "AIOWDM" Alias "VBQueryCardID" (ByVal CardNum As UInt32, ByRef pDeviceID As UInt32) As UInt32
	Public Declare Function QueryCardName Lib "AIOWDM" Alias "VBQueryCardName" (ByVal CardNum As UInt32, ByRef pNameSize As UInt32, ByVal pName As String) As UInt32
	Public Declare Function QuerySerialNumber Lib "AIOWDM" Alias "VBQuerySerialNumber" (ByVal CardNum As UInt32, ByRef pSerialNumber As Currency) As UInt32
	Public Declare Function AIOWDG_CloseDevice Lib "AIOWDM" Alias "VBAIOWDG_CloseDevice" (ByVal CardNum As UInt32) As UInt32

	Public Declare Function GetDeviceBySerialNumber Lib "AIOWDM" Alias "VBGetDeviceBySerialNumber" (ByRef pSerialNumber As Currency) As UInt32
	Public Declare Function GetDeviceByEEPROMByte Lib "AIOWDM" Alias "VBGetDeviceByEEPROMByte" (ByVal Data As Byte) As UInt32
	Public Declare Function GetDeviceByEEPROMData Lib "AIOWDM" Alias "VBGetDeviceByEEPROMData" (ByVal StartAddress As UInt32, ByVal DataSize As UInt32, ByRef pData As Byte) As UInt32

	Public Declare Function CustomEEPROMRead Lib "AIOWDM" Alias "VBCustomEEPROMRead" (ByVal CardNum As UInt32, ByVal StartAddress As UInt32, ByRef DataSize As UInt32, ByRef Data As Byte) As UInt32
	Public Declare Function CustomEEPROMWrite Lib "AIOWDM" Alias "VBCustomEEPROMWrite" (ByVal CardNum As UInt32, ByVal StartAddress As UInt32, ByVal DataSize As UInt32, ByRef Data As Byte) As UInt32

	Public Declare Function WaitForIRQ Lib "AIOWDM" Alias "VBWaitForIRQ" (ByVal CardNum As UInt32) As UInt32
	Public Declare Function AbortRequest Lib "AIOWDM" Alias "VBAbortRequest" (ByVal CardNum As UInt32) As UInt32

	Public Declare Function WDGInit Lib "AIOWDM" Alias "VBWDGInit" (ByVal CardNum As UInt32) As UInt32
	Public Declare Function WDGSetTimeout Lib "AIOWDM" Alias "VBWDGSetTimeout" (ByVal CardNum As UInt32, ByRef pMilliseconds As Double) As UInt32
	Public Declare Function WDGSetResetDuration Lib "AIOWDM" Alias "VBWDGSetResetDuration" (ByVal CardNum As UInt32, ByRef pMilliseconds As Double) As UInt32
	Public Declare Function WDGPet Lib "AIOWDM" Alias "VBWDGPet" (ByVal CardNum As UInt32) As UInt32
	Public Declare Function WDGReadTemp Lib "AIOWDM" Alias "VBWDGReadTemp" (ByVal CardNum As UInt32, ByRef TempF As Double) As UInt32
	Public Declare Function WDGReadStatus Lib "AIOWDM" Alias "VBWDGReadStatus" (ByVal CardNum As UInt32, ByRef StatusByte As UInt32) As UInt32
	Public Declare Function WDGStart Lib "AIOWDM" Alias "VBWDGStart" (ByVal CardNum As UInt32) As UInt32
	Public Declare Function WDGStop Lib "AIOWDM" Alias "VBWDGStop" (ByVal CardNum As UInt32) As UInt32
	Public Declare Function WDGHandleIRQ Lib "AIOWDM" Alias "VBWDGHandleIRQ" (ByVal CardNum As UInt32, ByVal Action As UInt32) As UInt32
	Public Declare Function EmergencyReboot Lib "AIOWDM" Alias "VBEmergencyReboot" () As UInt32

	Public Declare Function DI_ReadAll Lib "AIOWDM" Alias "VBDI_ReadAll" (ByVal CardNum As UInt32, ByRef pDIData As Byte) As UInt32
	Public Declare Function DI_Read1 Lib "AIOWDM" Alias "VBDI_Read1" (ByVal CardNum As UInt32, ByVal BitIndex As Byte, ByRef pBitValue As UInt32) As UInt32
	Public Declare Function DI_ReadLatched Lib "AIOWDM" Alias "VBDI_ReadLatched" (ByVal CardNum As UInt32, ByRef pDIRisen As Byte, ByRef pDIFallen As Byte) As UInt32
	Public Declare Function DI_PeekAll Lib "AIOWDM" Alias "VBDI_PeekAll" (ByVal CardNum As UInt32, ByRef pDIData As Byte) As UInt32
	Public Declare Function DI_Peek1 Lib "AIOWDM" Alias "VBDI_Peek1" (ByVal CardNum As UInt32, ByVal BitIndex As Byte, ByRef pBitValue As UInt32) As UInt32
	Public Declare Function DI_SetDebounceAll Lib "AIOWDM" Alias "VBDI_SetDebounceAll" (ByVal CardNum As UInt32, ByVal TimeMS As Byte) As UInt32
	Public Declare Function DI_SetDebounce1 Lib "AIOWDM" Alias "VBDI_SetDebounce1" (ByVal CardNum As UInt32, ByVal BitIndex As Byte, ByVal TimeMS As Byte) As UInt32
	Public Declare Function DI_SetDebounceSome Lib "AIOWDM" Alias "VBDI_SetDebounceSome" (ByVal CardNum As UInt32, ByVal BitMask As Byte, ByVal TimeMS As Byte) As UInt32
	Public Declare Function DO_WriteAll Lib "AIOWDM" Alias "VBDO_WriteAll" (ByVal CardNum As UInt32, ByVal DOData As Byte) As UInt32
	Public Declare Function DO_Write1 Lib "AIOWDM" Alias "VBDO_Write1" (ByVal CardNum As UInt32, ByVal BitIndex As Byte, ByVal BitValue As UInt32) As UInt32

	Public Declare Function AI_ReadAll Lib "AIOWDM" Alias "VBAI_ReadAll" (ByVal CardNum As UInt32, ByRef pAIData As Double) As UInt32
	Public Declare Function AI_Read1 Lib "AIOWDM" Alias "VBAI_Read1" (ByVal CardNum As UInt32, ByVal ChannelIndex As Byte, ByRef pAIData As Double) As UInt32



	Public Declare Function GenericVendorRead Lib "AIOWDM" Alias "VBGenericVendorRead" (ByVal CardNum As UInt32, ByVal Request As Byte, ByVal Value As UInt16, ByVal Index As UInt16, ByRef DataSize As UInt32, ByRef pData As Byte) As UInt32
	Public Declare Function GenericVendorWrite Lib "AIOWDM" Alias "VBGenericVendorWrite" (ByVal CardNum As UInt32, ByVal Request As Byte, ByVal Value As UInt16, ByVal Index As UInt16, ByVal DataSize As UInt32, ByRef pData As Byte) As UInt32
	Public Declare Function AWU_GenericBulkIn Lib "AIOWDM" Alias "VBAWU_GenericBulkIn" (ByVal CardNum As UInt32, ByVal PipeID As UInt32, ByRef pData As Byte, ByVal DataSize As UInt32, ByRef BytesRead As UInt32) As UInt32
	Public Declare Function AWU_GenericBulkOut Lib "AIOWDM" Alias "VBAWU_GenericBulkOut" (ByVal CardNum As UInt32, ByVal PipeID As UInt32, ByRef pData As Byte, ByVal DataSize As UInt32, ByRef BytesWritten As UInt32) As UInt32

	Public Declare Function AIOWDG_ResetChip Lib "AIOWDM" Alias "VBAIOWDG_ResetChip" (ByVal CardNum As UInt32) As UInt32

	'Note that all error codes returned are Windows error codes; they can be found in winerror.h in the Windows SDK, or on the Web.

End Module
